No module named 'idlelib.TreeWidget' #80

Closed
kennyngston opened this Issue Jan 2, 2017 · 8 comments

Comments

Projects
None yet
5 participants
@kennyngston

kennyngston commented Jan 2, 2017

Fresh install.

Python 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.

import appJar
Traceback (most recent call last):
File "", line 1, in
File "C:\Python\Python36\lib\site-packages\appJar_init_.py", line 2, in
from appJar.appjar import gui
File "C:\Python\Python36\lib\site-packages\appJar\appjar.py", line 39, in
from idlelib.TreeWidget import TreeItem, TreeNode
ModuleNotFoundError: No module named 'idlelib.TreeWidget'

@maestroi

This comment has been minimized.

Show comment
Hide comment
@maestroi

maestroi Jan 2, 2017

you need to install tinkert it will solve the problem, are you using linux ?
and what destro?

For debian:
sudo apt-get install python-tk

maestroi commented Jan 2, 2017

you need to install tinkert it will solve the problem, are you using linux ?
and what destro?

For debian:
sudo apt-get install python-tk

@kennyngston

This comment has been minimized.

Show comment
Hide comment
@kennyngston

kennyngston Jan 3, 2017

I'm using windows 8 64 bit, the installation came from python's website: python-3.6.0-amd64
As far as I know tkinter is included in python by default (at least I didn't install it separately)

import tkinter
import appJar
Traceback (most recent call last):
File "", line 1, in
File "C:\Python\Python36\lib\site-packages\appJar_init_.py", line 2, in
from appJar.appjar import gui
File "C:\Python\Python36\lib\site-packages\appJar\appjar.py", line 39, in
from idlelib.TreeWidget import TreeItem, TreeNode
ModuleNotFoundError: No module named 'idlelib.TreeWidget'

I'm using windows 8 64 bit, the installation came from python's website: python-3.6.0-amd64
As far as I know tkinter is included in python by default (at least I didn't install it separately)

import tkinter
import appJar
Traceback (most recent call last):
File "", line 1, in
File "C:\Python\Python36\lib\site-packages\appJar_init_.py", line 2, in
from appJar.appjar import gui
File "C:\Python\Python36\lib\site-packages\appJar\appjar.py", line 39, in
from idlelib.TreeWidget import TreeItem, TreeNode
ModuleNotFoundError: No module named 'idlelib.TreeWidget'

@DSMTurboAWD

This comment has been minimized.

Show comment
Hide comment
@DSMTurboAWD

DSMTurboAWD Jan 3, 2017

I am having this issue as well, and tk is installed and tested working.
From python console:
import tkinter
tkinter._test()

tests OK, but still having issues running any appJar code
Windows 10. I have not tried it on my Linux box yet

I am having this issue as well, and tk is installed and tested working.
From python console:
import tkinter
tkinter._test()

tests OK, but still having issues running any appJar code
Windows 10. I have not tried it on my Linux box yet

@gthreepwood

This comment has been minimized.

Show comment
Hide comment
@gthreepwood

gthreepwood Jan 4, 2017

Same here, Windows 10 and python 3.6 amd64.

Same here, Windows 10 and python 3.6 amd64.

@maestroi

This comment has been minimized.

Show comment
Hide comment
@maestroi

maestroi Jan 4, 2017

Did you guys tried it with python 2.7?
I am using python 2.7.12

maestroi commented Jan 4, 2017

Did you guys tried it with python 2.7?
I am using python 2.7.12

@DSMTurboAWD

This comment has been minimized.

Show comment
Hide comment
@DSMTurboAWD

DSMTurboAWD Jan 4, 2017

I was actually able to fix this by changing to the 3.5 interpreter for my project. I have not tried to force it to work in 3.6 but it does work in 3.5

I was actually able to fix this by changing to the 3.5 interpreter for my project. I have not tried to force it to work in 3.6 but it does work in 3.5

@jarvisteach jarvisteach self-assigned this Jan 5, 2017

@jarvisteach

This comment has been minimized.

Show comment
Hide comment
@jarvisteach

jarvisteach Jan 5, 2017

Owner

3.6 not currently supported - there have been some changes to the idlelib widgets in the 3.6 release that need incorporating - will be looking into this over the next few days.

Owner

jarvisteach commented Jan 5, 2017

3.6 not currently supported - there have been some changes to the idlelib widgets in the 3.6 release that need incorporating - will be looking into this over the next few days.

@jarvisteach

This comment has been minimized.

Show comment
Hide comment
@jarvisteach

jarvisteach Jan 8, 2017

Owner

New release available to install.

Owner

jarvisteach commented Jan 8, 2017

New release available to install.

@jarvisteach jarvisteach closed this Jan 8, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment